### Constructor

# Devhelp BookListDirectory new

since: 3.30

#### Declaration [src]

    DhBookListDirectory*
    dh_book_list_directory_new (
      GFile* directory
    )

#### Description [src]

Returns a `DhBookListDirectory` for `directory`.

If a `DhBookListDirectory` instance is still alive for `directory` (according to g_file_equal()), the same instance is returned with the reference count increased by one, to avoid data duplication. If no `DhBookListDirectory` instance already exists for `directory`, this function returns a new instance with a reference count of one (so it’s the responsibility of the caller to keep the object alive if wanted, to avoid destroying and re-creating the same `DhBookListDirectory` repeatedly).

Available since: 3.30

#### Parameters

`directory`

  Type: `GFile`

  The `DhBookListDirectory:directory`.

  The data is owned by the caller of the function.

#### Return value

Type: `DhBookListDirectory`

A `DhBookListDirectory` for `directory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.